<!DOCTYPE html>
<html>
<head>
	<title>Pop-Up</title>
</head>
<style type="text/css">
	body{
		margin: 0;
		height: 100vh;
		width: 100vw;
		display: flex;
		justify-content: center;
		align-items: center;
		background: url("./fd.jpg");
		font-family: monospace; 
	}
	button{
		height: 8vh;
		width: 12vw;
		text-align: center;
		background: none;
		border:1px solid indigo;
		transition: .5s;
		font-size: 2em;
		border-radius: 10px;
		outline: none;
		font-family: monospace;
	}
	button:hover{
		background: indigo;
		color: white;
		font-weight: bolder;
	}
	span{
		margin-left:5px;
	}
	.backdrop,.dialog{
		position: fixed;
		transition: .3s
	}
	.visible{
		opacity: 1;
	
	}
	.invisible{
		opacity: 0;
		transform: translateY(-100vh);
	}
	.d-none{
		display: none;
	}
	.d-block{
		display: block;
	}
	#backdrop{
		height:100vh;
		width: 100vw;
		background:rgba(0,0,0,0.5);
		transition:.4s;
	}
	#dialog{
		height:350px;
		width: 300px;
		background-size: cover;
		border-radius: 2px;
		border:1px solid indigo;
		transition:.4s;
		background-image: url(dd.png);
		background-repeat: no-repeat;
	}
	.dialog>button{
		height: 5vh;
		width: 8vw;
		font-size: 25px;
		font-family: monospace;
	}
	.dialog{
		display: flex;
		justify-content: space-between;
		flex-direction: column;
		padding: 25px;
		font-family: monospace;
	}
	h1{
		text-align: center;
		
	}
	textarea{
		outline:none;
		border: 1px solid indigo;
		margin-left:5px;
	}
	.vc{
		display: flex;
	}
	img{
		width: 150px;
	}

</style>
<body>

		<button onclick="popUp('Check In Message')" >Check-In</button>
		<span><button onclick="popUp('Check out Message')" id="co">Check-Out</button></span>
		<div class="backdrop d-none" id="backdrop" onclick="popDown()"></div>
		<div class="dialog invisible" id="dialog">
			<h1>Verify</h1>
		
			<div>
					<div id="msg"></div><br>
					<textarea rows="6" cols="38" placeholder="Enter message here..."></textarea>
			</div><br>
			<div>Verification Code<br><br>
					<div class="vc">
						<div><img src="df.jpg"></div>
						<div> <textarea rows="3" cols="17"  id="captcha" placeholder="Input"></textarea></div>
					</div>
			</div>
			<button onclick="verify()">Verify</button>
		</div>	


</body>
<script type="text/javascript">
	function popUp(a){
		document.getElementById('dialog').classList.remove('invisible');
		document.getElementById('backdrop').classList.toggle('d-none');
		document.getElementById('backdrop').classList.toggle('d-block');
		document.getElementById('msg').innerHTML= a;
	}

	function popDown(){
		document.getElementById('dialog').classList.add('invisible');
		document.getElementById('backdrop').classList.toggle('d-none');
		document.getElementById('backdrop').classList.toggle('d-block');
	}
	function verify(){
		let a =document.getElementById('captcha').value;
		if(a=="not a robot"){
			alert("User verified");
		}
		else{
			alert("You are a robot");
		}
	}
</script>
</html>